package server

import (
	"code.electrolab.fr/it/vote.electrolab.fr/service/db"
	"context"
)

type App struct {
	Config  AppConfig
	Service AppServices
	Context context.Context
}

func NewApp(config *AppConfig) (*App, error) {
	app := new(App)

	app.Context = context.Background()
	app.Service.DB = db.NewDBPostgres(config.Database.Connection)
	err := app.Service.DB.Start()
	if err != nil {
		return nil, err
	}

	return app, nil
}
