package page_votes

import (
	"code.electrolab.fr/it/vote.electrolab.fr/model"
)

type TemplateIndexVars struct {
	PageTitle string
	Questions []*model.Question
	User      *model.User
}

const TEMPLATE_STR = `
	<nav aria-label="breadcrumb">
	  <ol class="breadcrumb">
	    <li class="breadcrumb-item active" aria-current="page"><a href="?private_token={{.User.PrivateToken}}">AG Électrolab 2021</a></li>
	  </ol>
	</nav>


	<p><strong>Bienvenue {{.User.Fullname}} !</strong></p>

	<p>Cette page vous est personnelle, et vous permet de voter. Ne transmettez pas ce lien à d'autres personnes !</p>

	<h6>Voici la liste des votes du jour :</h6>
	<ol>
		{{ range .Questions }}
			<li value="{{.Position}}">

				<a href="votes/{{.Name}}?private_token={{$.User.PrivateToken}}">{{.Title}}</a>

				{{ if .VotedAlready }}
					<span class="badge badge-info">a voté</span>
				{{ end }}

				{{ if .VoteOpen }}
					<span class="badge badge-success">en cours</span>
				{{ else if and (gt .VoteCount 0) (not .VotedAlready) }}
					<span class="badge badge-danger">clos</span>
				{{ end }}
			</li>
		{{ end }}
	</ol>
`
