package main

import (
	"code.electrolab.fr/it/vote.electrolab.fr/app/importer"
	"fmt"
	"os"
)

func main() {
	if len(os.Args) != 2 {
		return fmt.Printf("Usage: %s <import_listing.json>", os.Args[0])
		os.Exit(1)
	}

	if err := Run(); err != nil {
		fmt.Fprintf(os.Stderr, "Fatal error: %s\n", err.Error())
	}
}

func Run() error {
	config, err := importer.ReadConfigFile("config/config-importer.json")
	if err != nil {
		return err
	}

	listing, err := importer.ReadListingFile(os.Args[1])
	if err != nil {
		return err
	}

	importer, err := importer.NewApp(config)
	if err != nil {
		return err
	}

	err = importer.Run(listing)
	if err != nil {
		return err
	}

	return nil
}
