package main

import (
	"code.electrolab.fr/it/vote.electrolab.fr/app/server"
	"code.electrolab.fr/it/vote.electrolab.fr/app/server/pages"
	"fmt"
	"net/http"
	"os"
)

func main() {
	if err := Run(); err != nil {
		fmt.Fprintf(os.Stderr, "Fatal error: %s\n", err.Error())
	}
}

func Run() error {
	if len(os.Args) != 2 {
		fmt.Fprintf(os.Stderr, "Usage: %s <config.json>\n", os.Args[0])
		os.Exit(1)
	}

	config, err := server.ReadConfigFile(os.Args[1])
	if err != nil {
		return err
	}

	app, err := server.NewApp(config)
	if err != nil {
		return err
	}

	mux := http.NewServeMux()
	pages.RegisterRoutes(mux, app)

	fmt.Println("http://localhost:8081/events/Electrolab-AG-2021/votes?private_token=7717e6ba488ff754fea8b57b22048c6dc6115f2c37b9fc8e87321da76045cbfb")
	http.ListenAndServe(":8081", mux)

	return nil
}
